VERSION 5.00
Begin VB.Form frmEdit 
   Caption         =   "Edit Calendar Events"
   ClientHeight    =   5595
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   8880
   LinkTopic       =   "Form1"
   MDIChild        =   -1  'True
   ScaleHeight     =   5595
   ScaleWidth      =   8880
   Begin VB.CommandButton cmdCal 
      Caption         =   "Pick Date"
      Height          =   495
      Left            =   240
      TabIndex        =   11
      Top             =   2400
      Width           =   1215
   End
   Begin VB.CommandButton cmdDelete 
      Caption         =   "Delete"
      Enabled         =   0   'False
      Height          =   495
      Left            =   3360
      TabIndex        =   10
      Top             =   3840
      Width           =   1215
   End
   Begin VB.CommandButton cmdDone 
      Caption         =   "Done"
      Height          =   495
      Left            =   4920
      TabIndex        =   8
      Top             =   3840
      Width           =   1215
   End
   Begin VB.CommandButton cmdNew 
      Caption         =   "New"
      Height          =   495
      Left            =   240
      TabIndex        =   7
      Top             =   3840
      Width           =   1215
   End
   Begin VB.CommandButton cmdUpdate 
      Caption         =   "Update"
      Enabled         =   0   'False
      Height          =   495
      Left            =   1800
      TabIndex        =   6
      Top             =   3840
      Width           =   1215
   End
   Begin VB.TextBox txtDesc 
      Height          =   375
      Left            =   240
      TabIndex        =   4
      Top             =   3360
      Width           =   5895
   End
   Begin VB.TextBox txtEnd 
      Height          =   375
      Left            =   5040
      TabIndex        =   3
      Top             =   2520
      Width           =   1095
   End
   Begin VB.TextBox txtBeg 
      Height          =   375
      Left            =   3360
      TabIndex        =   2
      Top             =   2520
      Width           =   1095
   End
   Begin VB.TextBox txtDate 
      Height          =   375
      Left            =   1680
      TabIndex        =   1
      Top             =   2520
      Width           =   1095
   End
   Begin VB.ListBox lstEdit 
      Height          =   1815
      Left            =   240
      TabIndex        =   0
      Top             =   360
      Width           =   6255
   End
   Begin VB.Label Label4 
      Alignment       =   2  'Center
      Caption         =   "End Time"
      Height          =   255
      Left            =   5040
      TabIndex        =   15
      Top             =   2280
      Width           =   1095
   End
   Begin VB.Label Label3 
      Alignment       =   2  'Center
      Caption         =   "Beg Time"
      Height          =   255
      Left            =   3360
      TabIndex        =   14
      Top             =   2280
      Width           =   1095
   End
   Begin VB.Label Label2 
      Alignment       =   2  'Center
      Caption         =   "Date"
      Height          =   255
      Left            =   1680
      TabIndex        =   13
      Top             =   2280
      Width           =   1095
   End
   Begin VB.Label Label1 
      Alignment       =   2  'Center
      Caption         =   "Event Description"
      Height          =   255
      Left            =   360
      TabIndex        =   12
      Top             =   3000
      Width           =   5775
   End
   Begin VB.Label lblHelp 
      Height          =   375
      Left            =   0
      TabIndex        =   9
      Top             =   0
      Width           =   4695
   End
   Begin VB.Label lblID 
      Height          =   615
      Left            =   0
      TabIndex        =   5
      Top             =   600
      Visible         =   0   'False
      Width           =   135
   End
End
Attribute VB_Name = "frmEdit"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim FirstTime As Boolean

Private Sub cmdCal_Click()
    CalForm = "edit"
    frmCalendar.Show
End Sub
Sub set_date()
    If frmCalendar.ok Then
        txtDate.Text = CalDate
    End If
End Sub
Private Sub cmdDelete_Click()
    do_delete
End Sub

Private Sub cmdDone_Click()
    Unload Me
End Sub

Private Sub cmdNew_Click()
    clear_edit
    cmdUpdate.Caption = "Add"
    cmdUpdate.Enabled = True
    cmdDelete.Enabled = False
    lblHelp.Caption = "Enter information for new event, then click 'Add'"
    txtDate.SetFocus
End Sub

Private Sub cmdUpdate_Click()
    If cmdUpdate.Caption = "Add" Then
        do_add
    Else
        do_update
    End If
    clear_edit
End Sub

Private Sub Form_Activate()
    If FirstTime Then
        init_form
        FirstTime = False
    End If
End Sub

Private Sub Form_Load()
 
    FirstTime = True
    Me.Width = mdiStakeCal.Width - 500
    Me.Height = mdiStakeCal.Height - 1000
End Sub
Sub init_form()
        
    lstEdit.Clear   ' clear list
    
    Dim rsCal As ADODB.Recordset
    Set rsCal = New ADODB.Recordset
    rsCal.ActiveConnection = dbConnection
    
    Dim s As String
    s = "select * from " & TableName _
        & " where EventDate >= Now() order by EventDate, BegTime"
    
    rsCal.Open s, , , , adCmdText
    Dim sDate As String
    Dim sTime As String
    Dim sDesc As String
    Dim ID As Long
    Dim ndx As Long
    
    Do While Not rsCal.EOF
        sDate = rsCal("EventDate") & ""
        sTime = rsCal("BegTime") & ""
        sDesc = rsCal("EventDesc") & ""
        ID = rsCal("ID")
        lstEdit.AddItem sDate & vbTab & sDesc
        ndx = lstEdit.ListCount
        lstEdit.ItemData(ndx - 1) = ID
        rsCal.MoveNext
    Loop
    rsCal.Close
    Set rsCal = Nothing
    lblHelp.Caption = "Select an Event to Edit, or click 'New' to add one"
End Sub

Private Sub Form_Resize()
    lstEdit.Width = frmEdit.Width - 500
End Sub

Private Sub lstEdit_Click()
    Dim i As Integer
    Dim s As String
    Dim ID As Long
    i = lstEdit.ListIndex
    If i < 0 Then
        Exit Sub
    End If
    ID = lstEdit.ItemData(i)
    lblID.Caption = ID
    s = "select * from " & TableName & " where ID=" & ID
    
    Dim rsCal As ADODB.Recordset
    Set rsCal = New ADODB.Recordset
    rsCal.ActiveConnection = dbConnection
    
    rsCal.Open s, , , , adCmdText
    txtDate.Text = rsCal("EventDate") & ""
    txtBeg.Text = rsCal("BegTime") & ""
    txtEnd.Text = rsCal("EndTime") & ""
    txtDesc.Text = rsCal("EventDesc") & ""
    rsCal.Close
    Set rsCal = Nothing
    cmdUpdate.Caption = "Update"
    cmdUpdate.Enabled = True
    cmdDelete.Enabled = True
    lblHelp.Caption = "Make desired changes, then click 'Update' when done"
End Sub

Sub clear_edit()
    txtDate.Text = ""
    txtBeg.Text = ""
    txtEnd.Text = ""
    txtDesc.Text = ""
    cmdUpdate.Caption = "Update"
    cmdUpdate.Enabled = False
    cmdDelete.Enabled = False
    lblHelp.Caption = "Select an Event to Edit, or click 'New' to add one"
    lstEdit.ListIndex = -1
    init_form
End Sub
Sub do_add()
    Dim s As String
    s = "insert into " & TableName & " (EventDate, BegTime, EndTime, EventDesc) " _
        & " values ('" & txtDate.Text & "','" & txtBeg.Text & "','" _
        & txtEnd.Text & "','" & txtDesc.Text & "')"
    Dim rsCal As ADODB.Recordset
    Set rsCal = New ADODB.Recordset
    rsCal.ActiveConnection = dbConnection
    rsCal.Open s, , , , adCmdType
    ' rsCal.Close
    Set rsCal = Nothing
    init_form
End Sub
Sub do_update()
    Dim ID As Long
    Dim rsCal As ADODB.Recordset
    Dim sql As String
    
    ID = lblID.Caption
    sql = "update " & TableName _
        & " set EventDate='" & Trim(txtDate.Text) _
        & "', BegTime='" & Trim(txtBeg.Text) _
        & "', EndTime='" & Trim(txtEnd.Text) _
        & "', EventDesc='" & Trim(txtDesc.Text) _
        & "' where id=" & ID
        
    Set rsCal = New ADODB.Recordset
    rsCal.Open sql, dbConnection, , , adCmdText
    Set rsCal = Nothing
    init_form
End Sub
Sub do_delete()
    If MsgBox("Are you sure you want to delete this event?", vbYesNo, "Deleting an Event") <> vbYes Then
        Exit Sub
    End If
    Dim ndx As Long
    Dim ID As Long
    ndx = lstEdit.ListIndex
    If (ndx < 0) Then Exit Sub
    ID = lstEdit.ItemData(ndx)
    Dim s As String
    s = "delete from " & TableName & " where ID=" & ID
    Dim rsCal As ADODB.Recordset
    Set rsCal = New ADODB.Recordset
    rsCal.Open s, dbConnection, , , adCmdText
    Set rsCal = Nothing
    clear_edit
End Sub
